who
%
% I have mapped the data, I now want to check them to see 
% if I have reconstructed the data succesfully on the original data grid
% To be run after reconandata.m
%
%clear 
%load spac.rank35andata.mat
temp35=temp;
salt35=salt;
clear oxy phos silica
load spac.stddata.mat
temp=changeflags(temp);
salt=changeflags(salt);
clear oxy phos silica
% load noise information
load /big/bindoff/spac/spac.diffstats0
%
tempnoise=spac(:,3);
salnoise=spac(:,6);
clear spac
%
% reconstruct 
%
zone1=find((xlat <= -4) & (xlat >=-25) & (xlong >=100) & (xlong <120));
zone2=find((xlat <= -5) & (xlat >=-25) & (xlong >=120) & (xlong <140));
zone3=find((xlat <= -5) & (xlat >=-25) & (xlong >=140) & (xlong <180));
zone4=find((xlat <= -5) & (xlat >=-25) & (xlong >=180) & (xlong <250));
zone5=find((xlat <= -4) & (xlat >=-25) & (xlong >=250) & (xlong <300));
zones=[zone3, zone4, zone5]
n=length(zones);
res=NaN*ones(38,n);
for i=1:n
	jj=zones(i)
	ii=find((xlat(jj)-0.01<=lat)&(xlat(jj)+0.01>=lat)...
	&(xlong(jj)-0.01<=long)&(xlong(jj)+0.01>=long));
	ii
	index=find(temp(:,ii(1))> 0.01);
	res(index,i)=temp(index,ii(1))-temp35(index,jj);
end
[mean(:,1),std(:,1)]=meanstd2(res);
%
% now obtain the residual matrix for salt
%
res=NaN*ones(38,n);
for i=1:n
	jj=zones(i);
	ii=find((xlat(jj)-0.01<=lat)&(xlat(jj)+0.01>=lat)  ...
	&(xlong(jj)-0.01<=long)&(xlong(jj)+0.01>=long));
ii
	index=find(salt(:,ii(1))> 0.01);
	res(index,i)=salt(index,ii(1))-salt35(index,jj);
end
[mean(:,2),std(:,2)]=meanstd2(res);
% calculate the noise
ntempnoise=sqrt(mean(:,1).^2 + std(:,1).^2)./tempnoise;
nsaltnoise=sqrt(mean(:,2).^2 + std(:,2).^2)./salnoise;
%
diary on
% rank 35
[ntempnoise, nsaltnoise]
[mean(:,1), mean(:,1)./tempnoise, std(:,1), std(:,1)./tempnoise]
[mean(:,2), mean(:,2)./salnoise, std(:,2), std(:,2)./salnoise]
diary off

