function [tmean]=latfit(temp,latdest,latdata,norder)
%
%
[m,n]=size(temp)
tmean=NaN*ones(m,length(latdest));
size(tmean);
for i=1:m
	ii=find(~isnan(temp(i,:)));
	if length(ii) > norder,
		c=polyfit(latdata(ii),temp(i,ii),norder);
		tmean(i,:)=polyval(c,latdest);
	end
end
