% a function that normalises the data
function [normtemp]=normalise2(temp,tmean,tstd)
%  m*n array cantaining temperature data
%  tmean m2*1 vector 
%  tstd m3*1 vector
[m1,n1]=size(temp);
normtemp=(temp-tmean)./tstd(:,ones(1,n1));
index=find(isnan(normtemp));  %
if(size(index)~=[0,0])
     normtemp(index)=zeros(length(index),1); % all flagged values are zero
end

