% function plotsect(field,v,x,y,xstring,ystring,tstring)
%
% A function that contours sections of data and allows labelling
% of the contours.  The plot is sent to the file metatmp.met
%
% field matrix of field values
% v	vector of contour levels
% x	vector of x-axis scales (eg latitude)
% y 	vector of y-axis scales (eg depth)
% 
function plotsect(field,v,x,y,xstring,ystring,tstring)
ii=find(isnan(field));
field1=field;
field1(ii)=-999*ones(length(ii),1);
cs=contour(field1,v,x,y);
clabel(cs,'manual')
xlabel(xstring)
ylabel(ystring)
title (tstring)
meta metatmp.met

