%+----------------------------------------------------------+
%|                                                          | 
%| ReadNodc()......: Read High resolution CTD data in Z     | 
%|                   compressed format: 'NODCxxx.DAT.Z'     |
%|                                                          |
%| Inputs..........: FILENAME:       file name of input file|
%|                                                          |
%| Outputs.........: TEMP[N]: temperature field             |
%|                   PRES[N]: pressure field.               |
%|                   SALT[N]: salinity field                |
%|                   OXYG[N]: dissolved oxygen              |
%|                   QUAL[N]: quality of data?              |
%|                                                          |
%| Call Format.....:                                        | 
%|                                                          |
%+----------------------------------------------------------+

function [PRES,TEMP,SALT,OXYG,QUAL]=ReadNodc(filename)

str=['load ','filename ', 'DataArray']
eval(str);

[ROWS,COLS]=size(DataArray);

PRES(:,1)=DataArray(:,1);
TEMP(:,1)=DataArray(:,2);
SALT(:,1)=DataArray(:,3);
OXYG(:,1)=DataArray(:,4);
QUAL(:,1)=DataArray(:,5);



