function [dh,delta]=stericheight(p,t,s,pref)
%
% function [dh,delta]=stericheight(p,t,s,pref)
%
% p	m*1 column vector of standard pressures
% t	m*n matrix of temperatures (NaN used as flags)
% s	m*n matrix of salinities (NaN used as flags)
% pref  scalar of reference pressurre
[m,n]=size(t)
dh=zeros(m,n);
delta=zeros(m,n);
for j=1:n
	[dh(:,j), delta(:,j)]=dynht2(p,t(:,j),s(:,j),pref);
end
