%
%
%
%
load ZETA.mat
%
% Replace flags
%
ii=find(ZETA > 9e+4);
ZETA(ii)=NaN*ones(length(ii),1);
%
jj=1:144
twelve=12*72*ones(1,72)

for k=1:12
  ii=[(k-1)*72+1:(k-1)*72+72];
  string=['eta(:,:,',num2str(k),')= (ZETA(ii,jj)+ZETA(twelve+ii,jj)',...
      '+ZETA(2*twelve+ii,jj)+',...
      'ZETA(3*twelve+ii,jj)+ZETA(4*twelve+ii,jj))/5;']
  eval(string)
end;
%
%
av_eta= (eta(:,:,1)+eta(:,:,2)+eta(:,:,3)+eta(:,:,4)+eta(:,:,5) ...
    +eta(:,:,6)+eta(:,:,7)+eta(:,:,8)+eta(:,:,9)+eta(:,:,10)+ ...
		eta(:,:,11)+eta(:,:,12))/12;
%
%
for page=1:12
 eta(:,:,page)=eta(:,:,page)-av_eta;
end
%
%
lat=ZETAlats';
lon=ZETAlongs';
%
%
%
%
% 9S corresponds to index 33
%
h0=figure('papertype','a4letter')
h1=subplot(1,1,1) 
contour_levels=[-0.04:0.008:0.04]
extcontour(lon,1:12,squeeze(eta(33,:,:))',contour_levels,'linewidth',1,'-w','label','fill')
colormap(jet)
set(h1,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
ylabel('Time')
set(h1,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
xlabel('Longitude ^{\circ}E');
set(h1,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
title('LSG Hovmoller 9^{\circ}S')
set(h1,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
%
% 19S corresponds to index 29
%
h0=figure('papertype','a4letter')
h1=subplot(1,1,1)
contour_levels=[-0.04:0.008:0.04]
extcontour(lon,1:12,squeeze(eta(29,:,:))',contour_levels,'linewidth',1,'-w','label','fill')
colormap(jet)
set(h1,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
ylabel('Time')
set(h1,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
xlabel('Longitude ^{\circ}E');
set(h1,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
title('LSG Hovmoller 19^{\circ}S')
set(h1,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
%
%
% 29S corresponds to index 25
%
h0=figure('papertype','a4letter')
h1=subplot(1,1,1)
contour_levels=[-0.04:0.008:0.04]
extcontour(lon,1:12,squeeze(eta(25,:,:))',contour_levels,'linewidth',1,'-w','label','fill')
colormap(jet)
set(h1,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
ylabel('Time')
set(h1,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
xlabel('Longitude ^{\circ}E');
set(h1,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
title('LSG Hovmoller 29^{\circ}S')
set(h1,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
%
%
% 39S corresponds to index 21
%
h0=figure('papertype','a4letter')
h1=subplot(1,1,1)
contour_levels=[-0.04:0.008:0.04]
extcontour(lon,1:12,squeeze(eta(21,:,:))',contour_levels,'linewidth',1,'-w','label','fill')
colormap(jet)
set(h1,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
ylabel('Time')
set(h1,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
xlabel('Longitude ^{\circ}E');
set(h1,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
title('LSG Hovmoller 39^{\circ}S')
set(h1,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
%
%




