%
%
%
figure(1)
set(1,'papertype','a4letter','paperposition',[0.15 0.15 8 11])
pcolor(lon, lat, av_flux)
shading flat
hold on
%coastlines
v=caxis
colorbar('hor')
hold off
title(['Average q_net_downward flux (W/m^2)'])
orient landscape
print -dpsc figureflux1.ps
map=colormap
%
for i=1:2:12;
  figure(i+1)
  set(figure,'papertype','a4letter','paperposition',[0.15 0.15 8 11])
  colormap(map)
  eval(['pcolor(lon, lat, q_net_downward',num2str(i), ')'])
  shading flat
  hold on
%  coastlines
  caxis(v)
  colorbar('hor')
  caxis(v)
  hold off
  title(['Q_net_downward anomaly Month ',num2str(i)])
  orient landscape
  string=['print -dpsc ','figureflux',num2str(i+1),'.ps']
  eval(string)
end
