%
function [long,lat]=function(index)
%
% Get the latitude and longitude pts of index for the SPAC Atlas
% index 1*n vector of cast position
%
% long	n*1 vector of longitude
% lat	n*1 vector of latitudes
%
[m,n]=size(index);
lat=3*fix((index-ones(1,n))/61.0) - 80*ones(1,n);
long=(index-ones(1,n))*3 - (lat+80*ones(1,n))*61 + 120*ones(1,n);
lat=lat';
long=long';



