function [dens]=density(p,t,s)
%
% function [dens]=density(p,t,s)
% p	m*1 column vector of standard pressures
% t	m*n matrix of temperatures (NaN used as flags)
% s	m*n matrix of salinities (NaN used as flags)
[m,n]=size(t);
dens=zeros(m,n);
for j=1:n
	dens(:,j)=sigma(p,t(:,j),s(:,j));
end
