function [z2]=fix(z1)
% a function replaces NaN in the matrix z1 with nearby values
% so that the field can be contoured in the field z2
%
% function [z2]=fix(z1)
%
[m,n]=size(z1);
z2=z1
for i=1:n
	ii=find(isnan(z1(:,i)));
	j=ii(1)-1;
	z2(ii,i)=z1(j,i)*ones(length(ii),1));
end
