function [z2]=fixsection(z1)
% a function replaces NaN in the matrix z1 with nearby values
% so that the field can be contoured in the field z2
%
% function [z2]=fix(z1)
%
[m,n]=size(z1);
z2=z1;
% working from the bottom elimate all nan
for j=1:n
	i=m;
	while isnan(z1(i,j))
		i=i-1;
	end 
	z2(i+1:m,j)=z1(i,j)*ones(m-i,1);
end
z2
% in principle the only NaN are th  bad dataa
% eliminate these by interpolating using polynomials
for i=1:m
	ii=find(~isnan(z2(i,:)));	% good data
	ii2=find(isnan(z2(i,:)));	% bad data
	j=length(ii2);
	if j~=0
		p=polyfit(ii,z2(i,ii),n/3);	% find poly
		z2(i,ii2)=polyval(p,ii2);	% interpolate
	end 
end
