% a function that calculates means and standard deviations of data
function [tmean,tstd]=meanstd(temp)
% m*n array cantaining temperature data
% m2*n2 array containing index information (rows refer to each 'zone')
[m1,n1]=size(temp);
tmean=zeros(m1,1);
tstd=zeros(m1,1);
i=find(temp == 0);		%find zeros
temp(i)=-999*ones(i,1);		%find ones
for i=1:m1
		ind=find(temp(i,:) > -990);
		tmean(i)=mean(temp(i,ind)');
		tstd(i)=std(temp(i,ind));
end

