%
% function [cs]=plot_ts_p(sal,theta,pref,ci)
% Script to plot potential temp vs salinity with sigma_p curves superposed.
% 'pref' is reference pressure for calculation of potential density
%
function [cs]=plot_ts_p(v,pref,ci)

%plot(sal,theta)
v
pref
ci
%---Define even grid to calculate and contour sigma-p
%v=axis;
deltax=(v(2)-v(1))/20;
deltay=(v(4)-v(3))/20;
[sgrid,tgrid]=meshgrid(v(1):deltax:v(2), v(3):deltay:v(4));
siggrid=sw_dens(sgrid,tgrid,pref)-1000;
gammagrid=(1/0.927)*(siggrid-26.42*ones(size(siggrid)))+26.5*ones(size(siggrid));
%keyboard
hold on
extcontour(sgrid(1,:),tgrid(:,1),gammagrid,ci,'label',200,':');
hold off
