function [a]=procmatrix(R)
%
% returns a matrix of the model describing processes 1, 2, 3
% R is a scalar
%
p1theta=[-(R-1)/R,1/R,1];
p2theta=[0,1,1];
p3theta=[-1,0,1];
p1sal=[0,1/R,1/R];
p2sal=[(R-1)/R,1,1/R];
p3sal=[-1/R,0,1/R];
%
atheta=[p1theta',p2theta',p3theta'];
asal=[p1sal',p2sal',p3sal'];
a=[atheta;asal];

