%
%  Reads lats and longs from a matrix, then gets the ocean depth
%  at each position from ETOPO5 netcdf data base - so must run 
%  this on aqueous
%
       load coordinates
       [m,n]=size(lon)
       ilon=reshape(lon,1,m*n);
       jlat=reshape(lat,1,m*n);
       nlon=(ilon.*12)+1;
       nlat=((jlat+90).*12)+1;
       mm=length(nlon)
       dtopo=getcdf_batch...
	   ('etopo5',1,[nlat(1) nlon(1)],[nlat(mm) nlon(mm)],[12,12],2,2,NaN);
       depth=reshape(dtopo,m,n);
       save depths lat lon depth

