load p_mean
%

for i= 1:length(p_mean),
  day(i)=(i-1)*10+266;           % start day 266
  doy(i)=rem(day(i),365);
end
[sorted,index]=sort(doy);
%
for i=1:36
  ii=find(doy <=i*10.1389 & doy >(i-1)*10.1389);
  [p_seasonal(i),p_sigma]=meanstd2(p_mean(ii)')
end
%
% 
figure
plot(10:10:360,p_seasonal)
xlabel('Time (days)')
ylabel('Pressure (mbar)')
grid
print -dps fig:ibcorrection.eps
