%
%
%
%load ZETAlats180
%load ZETAlons180
%load  T1180
%save T1180 ZETAlats180 ZETAlons180 T1180
%clear
%
%
load levitusdata
latlev=lat;
lonlev=lon;
%
load T1180
%
%
% Now find the point in the levitus data closest to the
% LSG grid points
%
for i=1:72
  [Y,indexlat(i)]=min(abs(ZETAlats180(i)*ones(180,1)-latlev));
end
for j=1:144
  [Y,indexlon(j)]=min(abs(ZETAlons180(j)*ones(360,1)-lonlev));
end
%
% Now calculate the distribution of alpha
temp=temp(indexlon,indexlat)';
salt=salt(indexlon,indexlat)';
[m,n]=size(temp)
pressure=100*ones(m,n);
the=theta(pressure,temp,salt,0);
alph=alpha(salt,the,pressure);
%keyboard
%
%ii=find(mask==1);
%mask(ii)=NaN*ones(length(ii),1);
%
%
% Replace flags
%
ii=find(T1180 > 1e+3);
T1180(ii)=NaN*ones(length(ii),1);
%
jj=1:144*72;
twelve=36
%
for k=1:36
  ii=[(k-1)*72+1:(k-1)*72+72];
  string=['T1',num2str(k),'= reshape((T1180(k,jj)+', ...
      'T1180(k+twelve,jj)',...
      '+T1180(2*twelve+k,jj)+',...
      'T1180(3*twelve+k,jj)+T1180(4*twelve+k,jj))/5,144,72)'';']
  eval(string)
end;
%
%
av_T1= (T11+T12+T13+T14+T15+T16+T17+T18+T19+T110+...
		T111+T112+T113+T114+T115+T116+T117+...
		T118+T119+T120+T121+T122+T123+T124+T125+...
		T126+T127+T128+T129+T130+T131+T132+...
		T133+T134+T135+T136)/36;
%
%
for k=1:36
  string=['T1',num2str(k),'= T1',num2str(k),' -av_T1;']
  eval(string)
end
%
%
lat=ZETAlats180';
lon=ZETAlons180';
%
%
%
Cp=3980
rho=1024
h_mix=100        % actual layer depth in LSG is 50 metres
factor=h_mix*alph
%
%
% Integrate, assuming that the sea-surface height field is
% initially zero at last day of proceeding year
%
delt=365.25*24*60*60/36		% time interval for integration
%
for k=1:36
    string=['eta',num2str(k),'= factor.*T1',num2str(k),';']
  eval(string)
end
%
%
%av_eta= (eta1+eta2+eta3+eta4+eta5+eta6+eta7+eta8+eta9+eta10+...
%		eta11+eta12)/12;
%av_eta=av_eta;

%
for k=1:36
  string=['[mean_eta(:,',num2str(k),'),dummy]= meanstd2(eta', ...
      num2str(k),');']
  eval(string)
end
%
%
ssh_harmonics3
