%
%
%
load ZETAlats180
load ZETAlons180
load  FRESHFLUX180
save FRESHFLUX180.mat ZETAlats180 ZETAlons180 FRESHFLUX180
%clear
%
%
load levitusdata
latlev=lat;
lonlev=lon;
%
load FRESHFLUX180.mat
%
%
% Now find the point in the levitus data closest to the
% LSG grid points
%
for i=1:72
  [Y,indexlat(i)]=min(abs(ZETAlats180(i)*ones(180,1)-latlev));
end
for j=1:144
  [Y,indexlon(j)]=min(abs(ZETAlons180(j)*ones(360,1)-lonlev));
end
%
% Now calculate the distribution of alpha
temp=temp(indexlon,indexlat)';
salt=salt(indexlon,indexlat)';
[m,n]=size(temp)
pressure=100*ones(m,n);
the=theta(pressure,temp,salt,0);
alph=alpha(salt,the,pressure);
%keyboard
%
%ii=find(mask==1);
%mask(ii)=NaN*ones(length(ii),1);
%
%
% Replace flags
%
ii=find(FRESHFLUX180 > 9e+4);
FRESHFLUX180(ii)=NaN*ones(length(ii),1);
%
jj=1:144*72;
twelve=36
%
for k=1:36
  ii=[(k-1)*72+1:(k-1)*72+72];
  string=['FRESHFLUX',num2str(k),'= reshape((FRESHFLUX180(k,jj)+', ...
      'FRESHFLUX180(k+twelve,jj)',...
      '+FRESHFLUX180(2*twelve+k,jj)+',...
      'FRESHFLUX180(3*twelve+k,jj)+FRESHFLUX180(4*twelve+k,jj))/5,144,72)'';']
  eval(string)
end;
%
%
av_FRESHFLUX= (FRESHFLUX1+FRESHFLUX2+FRESHFLUX3+FRESHFLUX4+FRESHFLUX5+FRESHFLUX6+FRESHFLUX7+FRESHFLUX8+FRESHFLUX9+FRESHFLUX10+...
		FRESHFLUX11+FRESHFLUX12+FRESHFLUX13+FRESHFLUX14+FRESHFLUX15+FRESHFLUX16+FRESHFLUX17+...
		FRESHFLUX18+FRESHFLUX19+FRESHFLUX20+FRESHFLUX21+FRESHFLUX22+FRESHFLUX23+FRESHFLUX24+FRESHFLUX25+...
		FRESHFLUX26+FRESHFLUX27+FRESHFLUX28+FRESHFLUX29+FRESHFLUX30+FRESHFLUX31+FRESHFLUX32+...
		FRESHFLUX33+FRESHFLUX34+FRESHFLUX35+FRESHFLUX36)/36;
%
%
for k=1:36
  string=['FRESHFLUX',num2str(k),'= FRESHFLUX',num2str(k),' -av_FRESHFLUX;']
  eval(string)
end
%
%
lat=ZETAlats180';
lon=ZETAlons180';
%
% The data Joerg has given me is E-P...therefore need to change sign
%
factor=-1.0;
%
%
% Integrate, assuming that the sea-surface height field is
% initially zero at last day of proceeding year
%
delt=365.25*24*60*60/36		% time interval for integration
eta1= factor.*FRESHFLUX1*delt;
for k=2:36
    string=['eta',num2str(k),'= eta',num2str(k-1),' + delt*factor.*FRESHFLUX',num2str(k),';']
  eval(string)
end
%
%
%av_eta= (eta1+eta2+eta3+eta4+eta5+eta6+eta7+eta8+eta9+eta10+...
%		eta11+eta12)/12;
%av_eta=av_eta;

%
for k=1:36
  string=['[mean_eta(:,',num2str(k),'),dummy]= meanstd2(eta', ...
      num2str(k),');']
  eval(string)
end
%
%
ssh_harmonics2






