%
%
%
%
figure(1)
set(1,'papertype','a4letter','paperposition',[0.15 0.15 8 11])
pcolor(lon, lat, av_eta)
shading flat
hold on
%coastlines
v=caxis
colorbar('hor')
hold off
title(['Average eta (m)'])
orient landscape
print -dpsc figureetaflux1.ps
map=colormap
%
for i=1:2:12;
  figure(i+1)
  set(figure,'papertype','a4letter','paperposition',[0.15 0.15 8 11])
  colormap(map)
  eval(['pcolor(lon, lat, eta',num2str(i), ')'])
  shading flat
  hold on
%  coastlines
  caxis(v)
  colorbar('hor')
  caxis(v)
  hold off
  title(['Anomaly of eta (m), month ',num2str(i)])
  orient landscape
  string=['print -dpsc ','figureetaflux',num2str(i+1),'.ps']
  eval(string)
end
