figure(1)
pcolor([1:12], lat, mean_eta)
shading flat
caxis([-0.05, 0.05])
colorbar('hor')
caxis([-0.05, 0.05])
xlabel('Month')
ylabel('Latitude ')
title(['Mean Steric Eta (m)'])
orient landscape
print -dpsc figure_meaneta1.ps
%
figure(2)
pcolor([1:12], lat, mean_q_net_downward)
shading flat
caxis([-200, 200])
colorbar('hor')
caxis([-200, 200])
xlabel('Month')
ylabel('Latitude ')
title(['Mean Q_net_downward (W/m^2)'])
orient landscape
print -dpsc figure_meanflux1.ps
%
figure(3)
pcolor([1:12], lat, mean_temp)
shading flat
caxis([-2, 2])
colorbar('hor')
caxis([-2, 2])
xlabel('Month')
ylabel('Latitude ')
title(['Mean Mixed Layer Temp. Anomaly (C)'])
orient landscape
print -dpsc figure_meantemp1.ps
%
%
figure(4)
plot(lat,mean_alph,-lat,mean_alph)
grid
xlabel('Latitude')
ylabel('alpha')
title(['Mean Latitudinal Alpha'])
print -dpsc figure_meanalpha1.ps

