%
%  Playing around trying to get seasonal variation of mixed layer
%
load depths
lat=lat(:,1);
lon=lon(1,:)';
np=length(lat(:,1))
radcv=360/(2*pi);
%load results.mat
%load temp2.mat

global lats

% Factor needed in removing mean radiation

k=sin(23.5*pi/180);
elliptic=1-((1/2)^2)*k^2-((3/2/4)^2)*(k^4)/3-((3*5/2/4/6)^2)*(k^6)/5;

dh=zeros(np,12);
for j=1:np
%j
%if(j~=1)
%  if((j~=2)&(abs(lat(j-1)-lat(j))<.0001))
%     dh(j,:)=dh(j-1,:);
%  else
     lats=lat(j)/radcv;
     ph=+80*2*pi/365		% phase related to 21 March
     for i=1:1:12
     b=30.4*i*2*pi/365;
     dh(j,i)=quad('fn',ph,ph+b,.05)-b*elliptic*cos(lats);
     dh(j,i)=344*365/2/pi*24*60*60*.00035*100/3998/1025/100*dh(j,i)*cos(lats);
%     end
  end
end
end


dh=dh-mean(dh')'*ones(1,12);
%
% Convert the data to spatial coordinates
%
[mm,nn]=size(depth)
eta1=dh(:,ones(1,nn));
eta2=dh(:,2*ones(1,nn));
eta3=dh(:,3*ones(1,nn));
eta4=dh(:,4*ones(1,nn));
eta5=dh(:,5*ones(1,nn));
eta6=dh(:,6*ones(1,nn));
eta7=dh(:,7*ones(1,nn));
eta8=dh(:,8*ones(1,nn));
eta9=dh(:,9*ones(1,nn));
eta10=dh(:,10*ones(1,nn));
eta11=dh(:,11*ones(1,nn));
eta12=dh(:,12*ones(1,nn));
%
% Now add the land mask
%
ii=find(depth>0);
mask=zeros(mm,nn);
mask(ii)=NaN*ones(length(ii),1);
%
eta1=eta1+mask;
eta2=eta2+mask;
eta3=eta3+mask;
eta4=eta4+mask;
eta5=eta5+mask;
eta6=eta6+mask;
eta7=eta7+mask;
eta8=eta8+mask;
eta9=eta9+mask;
eta10=eta10+mask;
eta11=eta11+mask;
eta12=eta12+mask;
%
ssh_harmonics3
