%
%  Playing around trying to test the method for realistic land mask etc
% 
%
load depths
lat=lat(:,1);
lon=lon(1,:)';
np=length(lat(:,1))
radcv=360/(2*pi);

global lats

dh=zeros(np,12);
testlat=(1/radcv)*lat
dh1=0.025*[sin(testlat)];        %C10 term
dh2=+0.025*[1/2*(3*sin(testlat).^2-ones(np,1))]   %C20
dh3=0.025*[5/2*sin(testlat).^3-3/2*sin(testlat)]
dh4=0.025*[1/8*(35*sin(testlat).^4-30*sin(testlat).^2+3*ones(np,1))]
dh5=0.025*[63/8*sin(testlat).^5-35/4*sin(testlat).^3+15/8*sin(testlat)]
dh6=0.025*[231/16*sin(testlat).^6-315/16*sin(testlat).^4+105/16*sin(testlat).^2-5/16*ones(np,1)]
dh7=0.025*[429/16*sin(testlat).^7-693/16*sin(testlat).^5+315/16*sin(testlat).^3-35/16*sin(testlat)]
dh8=0.025*[6435/128*sin(testlat).^8-12012/128*sin(testlat).^6+6930/128*sin(testlat).^4-1260/128*sin(testlat).^2+35/128*ones(np,1)]
% %C30

%
%dh=dh1+dh2+dh3+0.05*(rand(np,12)-ones(np,12));
%
h0=figure('papertype','a4letter')
h3=subplot(1,1,1)
%
plot(lat,dh1,lat,dh2,lat,dh3,lat,dh4,lat,dh5,lat,dh6,lat,dh7)
set(h3,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
xlabel('Latitude')
set(h3,'Fontsize',16,'Fontname','Helvetica','LineWidth',2.0)
ylabel('Amplitude, cm')
set(h3,'Fontsize',14,'Fontname','Helvetica','LineWidth',2.0)
title('C10, C20,...')
set(h3,'Fontsize',14,'Fontname','Helvetica','LineWidth',2.0)
grid
axis([-90, 90, -0.03, 0.03])
print -deps figure1.eps
%
%dh=dh-mean(reshape(dh,np*12,1))*ones(np,12);
%
% Convert the data to spatial coordinates
%
[mm,nn]=size(depth)
eta1=dh(:,ones(1,nn));
eta2=dh(:,2*ones(1,nn));
eta3=dh(:,3*ones(1,nn));
eta4=dh(:,4*ones(1,nn));
eta5=dh(:,5*ones(1,nn));
eta6=dh(:,6*ones(1,nn));
eta7=dh(:,7*ones(1,nn));
eta8=dh(:,8*ones(1,nn));
eta9=dh(:,9*ones(1,nn));
eta10=dh(:,10*ones(1,nn));
eta11=dh(:,11*ones(1,nn));
eta12=dh(:,12*ones(1,nn));
%
%
% Now add the land mask
%
ii=find(depth>0);
mask=zeros(mm,nn);
mask(ii)=NaN*ones(length(ii),1);
%
eta1=eta1+mask;
eta2=eta2+mask;
eta3=eta3+mask;
eta4=eta4+mask;
eta5=eta5+mask;
eta6=eta6+mask;
eta7=eta7+mask;
eta8=eta8+mask;
eta9=eta9+mask;
eta10=eta10+mask;
eta11=eta11+mask;
eta12=eta12+mask;
%
% subtract point average
%
%av_eta=(eta1+eta2+eta3+eta4+eta5+eta6+eta7+eta8+eta9+eta10+eta11+eta12)/12;
av_eta=zeros(mm,nn);
%
eta1=eta1-av_eta;
eta2=eta2-av_eta;
eta3=eta3-av_eta;
eta4=eta4-av_eta;
eta5=eta5-av_eta;
eta6=eta6-av_eta;
eta7=eta7-av_eta;
eta8=eta8-av_eta;
eta9=eta9-av_eta;
eta10=eta10-av_eta;
eta11=eta11-av_eta;
eta12=eta12-av_eta;
%
ssh_harmonics2




