function [eta,A]=sverdrup_fric(source, delx,alpha,beta)
%
%
%
%
% Construct the model
%
mm=length(source);
A=zeros(mm,mm);
%
A=diag(-2*alpha/delx*ones(mm,1))/delx;
A= A + diag((alpha/delx+beta)*ones(mm-1,1),1)/delx;
A= A + diag((alpha/delx-beta)*ones(mm-1,1),-1)/delx;
%
% now the 2*pi boundary conditions
%
A(1,mm)=alpha/delx/delx-beta/delx;
A(mm,1)=alpha/delx/delx+beta/delx;
%
%
e=max(max(A'*A))/10000000000000000;
eta=(A'*A+e*eye(mm,mm))\A'*source';
eta=eta+mean(source)*ones(mm,1);
eta=eta';

